EDN Admin
Well-known member
Hi,
I am unsure if this is the right place to ask, but i dont know where else.
I need to use some COM interops on a windows server 2008 (in this particular case, it is AutoCAD 2010). My problem is, that it takes forever for my application to grab the autoCAD instance, or create a new one.
I have run the exact same code on Windows Server 2003, without any issues.
Anything i need to do different on 2008? Anyone have experience with this?
Some sample code:
<pre lang="x-c# using Autodesk.AutoCAD.ApplicationServices;
using Autodesk.AutoCAD.DatabaseServices;
using Autodesk.AutoCAD.EditorInput;
using Autodesk.AutoCAD.Interop;
using Autodesk.AutoCAD.Interop.Common;
private static AcadApplication GetApplication()
{
AcadApplication acad = null;
try
{
acad = (AcadApplication)Marshal.GetActiveObject("AutoCAD.Application");
}
catch
{
if (acad == null)
acad = new AcadApplication();
}
return acad;
}
[/code]
<hr class="sig Nicolai Søndergaard LM Wind Power A/S
View the full article
I am unsure if this is the right place to ask, but i dont know where else.
I need to use some COM interops on a windows server 2008 (in this particular case, it is AutoCAD 2010). My problem is, that it takes forever for my application to grab the autoCAD instance, or create a new one.
I have run the exact same code on Windows Server 2003, without any issues.
Anything i need to do different on 2008? Anyone have experience with this?
Some sample code:
<pre lang="x-c# using Autodesk.AutoCAD.ApplicationServices;
using Autodesk.AutoCAD.DatabaseServices;
using Autodesk.AutoCAD.EditorInput;
using Autodesk.AutoCAD.Interop;
using Autodesk.AutoCAD.Interop.Common;
private static AcadApplication GetApplication()
{
AcadApplication acad = null;
try
{
acad = (AcadApplication)Marshal.GetActiveObject("AutoCAD.Application");
}
catch
{
if (acad == null)
acad = new AcadApplication();
}
return acad;
}
[/code]
<hr class="sig Nicolai Søndergaard LM Wind Power A/S
View the full article